GET /api/v1/sites/{slug}
GET
/api/v1/sites/{slug}Path parameters
slugstringrequiredResponses
200Success
idstringrequiredslugstringrequiredurlstringrequiredsiteNamestringrequiredindustrystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anypublishedbooleanrequiredfullPageScreenshotUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyrenderedHtmlUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyhomepageMarkdownUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anylogoUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anylogoMetadataanyrequiredShow propertiesHide properties
Any of:
any
anyany
anyopenGraphUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyopenGraphMetadataanyrequiredShow propertiesHide properties
Any of:
any
anyany
anypricingMarkdownUrlstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycreatedAtstringrequiredupdatedAtstringrequired401Unauthorized
_tagstringrequiredAllowed:
Unauthorized404NotFound
_tagstringrequiredAllowed:
NotFoundRequest
curl -X GET "https://zawqi.app/api/v1/api/v1/sites/string"const response = await fetch("https://zawqi.app/api/v1/api/v1/sites/string", {
method: "GET"
});Response
{
"id": "string",
"slug": "string",
"url": "string",
"siteName": "string",
"industry": "ai-ml",
"published": true,
"fullPageScreenshotUrl": "string",
"renderedHtmlUrl": "string",
"homepageMarkdownUrl": "string",
"logoUrl": "string",
"logoMetadata": "string",
"openGraphUrl": "string",
"openGraphMetadata": "string",
"pricingMarkdownUrl": "string",
"createdAt": "string",
"updatedAt": "string"
}{
"_tag": "Unauthorized"
}{
"_tag": "NotFound"
}